com.independentsoft.exchange

## Class PersonaPropertyPath

- java.lang.Object
- - com.independentsoft.exchange.PersonaPropertyPath

-     public class PersonaPropertyPath
      extends java.lang.Object

  The Class PersonaPropertyPath.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static UnindexedPropertyPath` | `ASSISTANT_NAMES`
    `static UnindexedPropertyPath` | `ASSISTANT_PHONE_NUMBERS`
    `static UnindexedPropertyPath` | `ATTRIBUTIONS`
    `static UnindexedPropertyPath` | `BIRTHDAYS`
    `static UnindexedPropertyPath` | `BUSINESS_ADDRESSES`
    `static UnindexedPropertyPath` | `BUSINESS_HOME_PAGES`
    `static UnindexedPropertyPath` | `BUSINESS_PHONE_NUMBERS`
    `static UnindexedPropertyPath` | `BUSINESS_PHONE_NUMBERS_2`
    `static UnindexedPropertyPath` | `CALLBACK_PHONES`
    `static UnindexedPropertyPath` | `CAR_PHONES`
    `static UnindexedPropertyPath` | `CHILDREN`
    `static UnindexedPropertyPath` | `COMPANY_NAME`
    `static UnindexedPropertyPath` | `COMPANY_NAMES`
    `static UnindexedPropertyPath` | `CREATION_TIME`
    `static UnindexedPropertyPath` | `DEPARTMENT`
    `static UnindexedPropertyPath` | `DEPARTMENTS`
    `static UnindexedPropertyPath` | `DISPLAY_NAME`
    `static UnindexedPropertyPath` | `DISPLAY_NAME_PREFIX`
    `static UnindexedPropertyPath` | `DISPLAY_NAME_PREFIXES`
    `static UnindexedPropertyPath` | `DISPLAY_NAMES`
    `static UnindexedPropertyPath` | `EMAIL_ADDRESS`
    `static UnindexedPropertyPath` | `EMAIL_ADDRESSES`
    `static UnindexedPropertyPath` | `EMAILS_1`
    `static UnindexedPropertyPath` | `EMAILS_2`
    `static UnindexedPropertyPath` | `EMAILS_3`
    `static UnindexedPropertyPath` | `EXTENDED_PROPERTIES`
    `static UnindexedPropertyPath` | `FILE_AS`
    `static UnindexedPropertyPath` | `FILE_AS_ID`
    `static UnindexedPropertyPath` | `FILE_AS_IDS`
    `static UnindexedPropertyPath` | `FILE_ASES`
    `static UnindexedPropertyPath` | `FOLDER_IDS`
    `static UnindexedPropertyPath` | `GENERATION`
    `static UnindexedPropertyPath` | `GENERATIONS`
    `static UnindexedPropertyPath` | `GIVEN_NAME`
    `static UnindexedPropertyPath` | `GIVEN_NAMES`
    `static UnindexedPropertyPath` | `HOBBIES`
    `static UnindexedPropertyPath` | `HOME_ADDRESSES`
    `static UnindexedPropertyPath` | `HOME_CITY`
    `static UnindexedPropertyPath` | `HOME_FAXES`
    `static UnindexedPropertyPath` | `HOME_PHONES`
    `static UnindexedPropertyPath` | `HOME_PHONES_2`
    `static UnindexedPropertyPath` | `IM_ADDRESS`
    `static UnindexedPropertyPath` | `IM_ADDRESSES`
    `static UnindexedPropertyPath` | `IM_ADDRESSES_2`
    `static UnindexedPropertyPath` | `IM_ADDRESSES_3`
    `static UnindexedPropertyPath` | `INITIALS`
    `static UnindexedPropertyPath` | `LOCATIONS`
    `static UnindexedPropertyPath` | `MANAGERS`
    `static UnindexedPropertyPath` | `MIDDLE_NAME`
    `static UnindexedPropertyPath` | `MIDDLE_NAMES`
    `static UnindexedPropertyPath` | `MOBILE_PHONES`
    `static UnindexedPropertyPath` | `MOBILE_PHONES_2`
    `static UnindexedPropertyPath` | `NICKNAME`
    `static UnindexedPropertyPath` | `NICKNAMES`
    `static UnindexedPropertyPath` | `OFFICE_LOCATIONS`
    `static UnindexedPropertyPath` | `ORGANIZATION_MAIN_PHONES`
    `static UnindexedPropertyPath` | `OTHER_ADDRESSES`
    `static UnindexedPropertyPath` | `OTHER_FAXES`
    `static UnindexedPropertyPath` | `OTHER_PHONES_2`
    `static UnindexedPropertyPath` | `OTHER_TELEPHONES`
    `static UnindexedPropertyPath` | `PAGERS`
    `static UnindexedPropertyPath` | `PERSONA_ID`
    `static UnindexedPropertyPath` | `PERSONA_OBJECT_STATUS`
    `static UnindexedPropertyPath` | `PERSONA_TYPE`
    `static UnindexedPropertyPath` | `PERSONAL_HOME_PAGES`
    `static UnindexedPropertyPath` | `PHONE_NUMBER`
    `static UnindexedPropertyPath` | `PROFESSIONS`
    `static UnindexedPropertyPath` | `RADIO_PHONES`
    `static UnindexedPropertyPath` | `RELEVANCE_SCORE`
    `static UnindexedPropertyPath` | `SCHOOLS`
    `static UnindexedPropertyPath` | `SPOUSE_NAMES`
    `static UnindexedPropertyPath` | `SURNAME`
    `static UnindexedPropertyPath` | `SURNAMES`
    `static UnindexedPropertyPath` | `TELEX_NUMBERS`
    `static UnindexedPropertyPath` | `TITLE`
    `static UnindexedPropertyPath` | `TITLES`
    `static UnindexedPropertyPath` | `WEDDING_ANNIVERSARIES`
    `static UnindexedPropertyPath` | `WORK_CITY`
    `static UnindexedPropertyPath` | `WORK_FAXES`
    `static UnindexedPropertyPath` | `YOMI_COMPANY_NAME`
    `static UnindexedPropertyPath` | `YOMI_COMPANY_NAMES`
    `static UnindexedPropertyPath` | `YOMI_FIRST_NAME`
    `static UnindexedPropertyPath` | `YOMI_FIRST_NAMES`
    `static UnindexedPropertyPath` | `YOMI_LAST_NAME`
    `static UnindexedPropertyPath` | `YOMI_LAST_NAMES`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<PropertyPath>` | `getAllPropertyPaths()` Gets the all property paths.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PERSONA_ID

          public static final UnindexedPropertyPath PERSONA_ID

    - #### PERSONA_TYPE

          public static final UnindexedPropertyPath PERSONA_TYPE

    - #### PERSONA_OBJECT_STATUS

          public static final UnindexedPropertyPath PERSONA_OBJECT_STATUS

    - #### CREATION_TIME

          public static final UnindexedPropertyPath CREATION_TIME

    - #### DISPLAY_NAME

          public static final UnindexedPropertyPath DISPLAY_NAME

    - #### FILE_AS

          public static final UnindexedPropertyPath FILE_AS

    - #### FILE_AS_ID

          public static final UnindexedPropertyPath FILE_AS_ID

    - #### DISPLAY_NAME_PREFIX

          public static final UnindexedPropertyPath DISPLAY_NAME_PREFIX

    - #### GIVEN_NAME

          public static final UnindexedPropertyPath GIVEN_NAME

    - #### MIDDLE_NAME

          public static final UnindexedPropertyPath MIDDLE_NAME

    - #### SURNAME

          public static final UnindexedPropertyPath SURNAME

    - #### GENERATION

          public static final UnindexedPropertyPath GENERATION

    - #### NICKNAME

          public static final UnindexedPropertyPath NICKNAME

    - #### YOMI_COMPANY_NAME

          public static final UnindexedPropertyPath YOMI_COMPANY_NAME

    - #### YOMI_FIRST_NAME

          public static final UnindexedPropertyPath YOMI_FIRST_NAME

    - #### YOMI_LAST_NAME

          public static final UnindexedPropertyPath YOMI_LAST_NAME

    - #### TITLE

          public static final UnindexedPropertyPath TITLE

    - #### DEPARTMENT

          public static final UnindexedPropertyPath DEPARTMENT

    - #### COMPANY_NAME

          public static final UnindexedPropertyPath COMPANY_NAME

    - #### EMAIL_ADDRESS

          public static final UnindexedPropertyPath EMAIL_ADDRESS

    - #### EMAIL_ADDRESSES

          public static final UnindexedPropertyPath EMAIL_ADDRESSES

    - #### PHONE_NUMBER

          public static final UnindexedPropertyPath PHONE_NUMBER

    - #### IM_ADDRESS

          public static final UnindexedPropertyPath IM_ADDRESS

    - #### HOME_CITY

          public static final UnindexedPropertyPath HOME_CITY

    - #### WORK_CITY

          public static final UnindexedPropertyPath WORK_CITY

    - #### RELEVANCE_SCORE

          public static final UnindexedPropertyPath RELEVANCE_SCORE

    - #### FOLDER_IDS

          public static final UnindexedPropertyPath FOLDER_IDS

    - #### ATTRIBUTIONS

          public static final UnindexedPropertyPath ATTRIBUTIONS

    - #### DISPLAY_NAMES

          public static final UnindexedPropertyPath DISPLAY_NAMES

    - #### FILE_ASES

          public static final UnindexedPropertyPath FILE_ASES

    - #### FILE_AS_IDS

          public static final UnindexedPropertyPath FILE_AS_IDS

    - #### DISPLAY_NAME_PREFIXES

          public static final UnindexedPropertyPath DISPLAY_NAME_PREFIXES

    - #### GIVEN_NAMES

          public static final UnindexedPropertyPath GIVEN_NAMES

    - #### MIDDLE_NAMES

          public static final UnindexedPropertyPath MIDDLE_NAMES

    - #### SURNAMES

          public static final UnindexedPropertyPath SURNAMES

    - #### GENERATIONS

          public static final UnindexedPropertyPath GENERATIONS

    - #### NICKNAMES

          public static final UnindexedPropertyPath NICKNAMES

    - #### INITIALS

          public static final UnindexedPropertyPath INITIALS

    - #### YOMI_COMPANY_NAMES

          public static final UnindexedPropertyPath YOMI_COMPANY_NAMES

    - #### YOMI_FIRST_NAMES

          public static final UnindexedPropertyPath YOMI_FIRST_NAMES

    - #### YOMI_LAST_NAMES

          public static final UnindexedPropertyPath YOMI_LAST_NAMES

    - #### BUSINESS_PHONE_NUMBERS

          public static final UnindexedPropertyPath BUSINESS_PHONE_NUMBERS

    - #### BUSINESS_PHONE_NUMBERS_2

          public static final UnindexedPropertyPath BUSINESS_PHONE_NUMBERS_2

    - #### HOME_PHONES

          public static final UnindexedPropertyPath HOME_PHONES

    - #### HOME_PHONES_2

          public static final UnindexedPropertyPath HOME_PHONES_2

    - #### MOBILE_PHONES

          public static final UnindexedPropertyPath MOBILE_PHONES

    - #### MOBILE_PHONES_2

          public static final UnindexedPropertyPath MOBILE_PHONES_2

    - #### ASSISTANT_PHONE_NUMBERS

          public static final UnindexedPropertyPath ASSISTANT_PHONE_NUMBERS

    - #### CALLBACK_PHONES

          public static final UnindexedPropertyPath CALLBACK_PHONES

    - #### CAR_PHONES

          public static final UnindexedPropertyPath CAR_PHONES

    - #### HOME_FAXES

          public static final UnindexedPropertyPath HOME_FAXES

    - #### ORGANIZATION_MAIN_PHONES

          public static final UnindexedPropertyPath ORGANIZATION_MAIN_PHONES

    - #### OTHER_FAXES

          public static final UnindexedPropertyPath OTHER_FAXES

    - #### OTHER_TELEPHONES

          public static final UnindexedPropertyPath OTHER_TELEPHONES

    - #### OTHER_PHONES_2

          public static final UnindexedPropertyPath OTHER_PHONES_2

    - #### PAGERS

          public static final UnindexedPropertyPath PAGERS

    - #### RADIO_PHONES

          public static final UnindexedPropertyPath RADIO_PHONES

    - #### TELEX_NUMBERS

          public static final UnindexedPropertyPath TELEX_NUMBERS

    - #### WORK_FAXES

          public static final UnindexedPropertyPath WORK_FAXES

    - #### EMAILS_1

          public static final UnindexedPropertyPath EMAILS_1

    - #### EMAILS_2

          public static final UnindexedPropertyPath EMAILS_2

    - #### EMAILS_3

          public static final UnindexedPropertyPath EMAILS_3

    - #### BUSINESS_HOME_PAGES

          public static final UnindexedPropertyPath BUSINESS_HOME_PAGES

    - #### PERSONAL_HOME_PAGES

          public static final UnindexedPropertyPath PERSONAL_HOME_PAGES

    - #### OFFICE_LOCATIONS

          public static final UnindexedPropertyPath OFFICE_LOCATIONS

    - #### IM_ADDRESSES

          public static final UnindexedPropertyPath IM_ADDRESSES

    - #### IM_ADDRESSES_2

          public static final UnindexedPropertyPath IM_ADDRESSES_2

    - #### IM_ADDRESSES_3

          public static final UnindexedPropertyPath IM_ADDRESSES_3

    - #### BUSINESS_ADDRESSES

          public static final UnindexedPropertyPath BUSINESS_ADDRESSES

    - #### HOME_ADDRESSES

          public static final UnindexedPropertyPath HOME_ADDRESSES

    - #### OTHER_ADDRESSES

          public static final UnindexedPropertyPath OTHER_ADDRESSES

    - #### TITLES

          public static final UnindexedPropertyPath TITLES

    - #### DEPARTMENTS

          public static final UnindexedPropertyPath DEPARTMENTS

    - #### COMPANY_NAMES

          public static final UnindexedPropertyPath COMPANY_NAMES

    - #### MANAGERS

          public static final UnindexedPropertyPath MANAGERS

    - #### ASSISTANT_NAMES

          public static final UnindexedPropertyPath ASSISTANT_NAMES

    - #### PROFESSIONS

          public static final UnindexedPropertyPath PROFESSIONS

    - #### SPOUSE_NAMES

          public static final UnindexedPropertyPath SPOUSE_NAMES

    - #### CHILDREN

          public static final UnindexedPropertyPath CHILDREN

    - #### SCHOOLS

          public static final UnindexedPropertyPath SCHOOLS

    - #### HOBBIES

          public static final UnindexedPropertyPath HOBBIES

    - #### WEDDING_ANNIVERSARIES

          public static final UnindexedPropertyPath WEDDING_ANNIVERSARIES

    - #### BIRTHDAYS

          public static final UnindexedPropertyPath BIRTHDAYS

    - #### LOCATIONS

          public static final UnindexedPropertyPath LOCATIONS

    - #### EXTENDED_PROPERTIES

          public static final UnindexedPropertyPath EXTENDED_PROPERTIES

  - ### Method Detail

    - #### getAllPropertyPaths

          public static java.util.List<PropertyPath> getAllPropertyPaths()

      Gets the all property paths.
      Returns:
        the all property paths